Debian Bug report logs - #556099
ITP: gitit -- A wiki backed by a git or darcs filestore

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ximin Luo <xl269@cam.ac.uk>

Date: Fri, 13 Nov 2009 14:48:01 UTC

Owned by: mascellani@poisson.phc.unipi.it

Severity: wishlist

Fixed in version gitit/0.7.3.6-1

Done: Giovanni Mascellani <gio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#556099; Package wnpp. (Fri, 13 Nov 2009 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ximin Luo <xl269@cam.ac.uk>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Fri, 13 Nov 2009 14:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ximin Luo <xl269@cam.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: gitit -- A wiki backed by a git or darcs filestore
Date: Fri, 13 Nov 2009 14:25:40 +0000
Package: wnpp
Severity: wishlist

* Package name    : gitit
  Version         : 0.6.6
  Upstream Author : John MacFarlane <jgm@berkeley.edu>
* URL             : http://gitit.johnmacfarlane.net/
* License         : GPLv2
  Programming Lang: Haskell
  Description     : A wiki backed by a git or darcs filestore

Gitit is a wiki backed by a git or darcs filestore. Pages and uploaded files
can be modified either directly via the VCS’s command-line tools or through the
wiki’s web interface. Pandoc is used for markup processing, so pages may be
written in (extended) markdown, reStructuredText, LaTeX, HTML, or literate
Haskell, and exported in ten different formats, including LaTeX, ConTeXt,
DocBook, RTF, OpenOffice ODT, and MediaWiki markup.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#556099; Package wnpp. (Fri, 13 Nov 2009 15:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ximin Luo <xl269@cam.ac.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 13 Nov 2009 15:57:06 GMT) Full text and rfc822 format available.

Message #10 received at 556099@bugs.debian.org (full text, mbox):

From: Ximin Luo <xl269@cam.ac.uk>
To: 556099@bugs.debian.org
Subject: more dependencies information
Date: Fri, 13 Nov 2009 15:32:10 +0000
Installing gitit through cabal adds 500MB of stuff to my system (300MB in
debian packages for ghc6, libghc6-*-dev, et.al., 200MB in cabal packages in
~/.cabal/). It would be nice if a debian package were made instead that only
needs runtime dependencies like pandoc and happstack.

from gitit.cabal:

  build-depends: base >=3 && < 5, parsec < 3, pretty, xhtml, containers,
                     pandoc >= 1.2, process, filepath, directory, mtl, cgi,
                     network, old-time, highlighting-kate, bytestring,
                     utf8-string, SHA > 1, HTTP, HStringTemplate, random,
                     network >= 2.1.0.0, recaptcha >= 0.1, filestore >= 0.3.3,
                     datetime, zlib, url, happstack-server >= 0.3.3 && < 0.5,
                     happstack-util >= 0.3.2 && < 0.5, xml >= 1.3.4,
                     hslogger >= 1 && < 1.1, ConfigFile >= 1, feed >= 0.3.6,
                     cautious-file >= 0.1.5 && < 0.2, texmath

(Additionally, I needed libpcre3-dev for cabal to install gitit correctly;
maybe libpcre3 is needed as a runtime dependency too.)

There seem to be debian packages for happstack (and a load of other haskell
packages) here:

http://deb.seereason.com/debian/pool/main/h/

X




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#556099; Package wnpp. (Wed, 09 Dec 2009 14:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <g.mascellani@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 09 Dec 2009 14:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 556099@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <g.mascellani@gmail.com>
To: 556099@bugs.debian.org
Subject: Interested
Date: Wed, 09 Dec 2009 15:13:12 +0100
[Message part 1 (text/plain, inline)]
I could be interested in packaging gitit. Anyway, I won't have time in
the next future. Maybe after Xmas.

Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Owner recorded as mascellani@poisson.phc.unipi.it. Request was from Giovanni Mascellani <mascellani@poisson.phc.unipi.it> to control@bugs.debian.org. (Wed, 09 Dec 2009 14:21:17 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: gitit -- A wiki backed by a git or darcs filestore' from 'RFP: gitit -- A wiki backed by a git or darcs filestore' Request was from Giovanni Mascellani <mascellani@poisson.phc.unipi.it> to control@bugs.debian.org. (Wed, 09 Dec 2009 14:21:19 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 556099: 569501 Request was from Giovanni Mascellani <mascellani@poisson.phc.unipi.it> to control@bugs.debian.org. (Fri, 12 Feb 2010 00:09:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 06 Aug 2010 20:09:08 GMT) Full text and rfc822 format available.

Reply sent to Giovanni Mascellani <gio@debian.org>:
You have taken responsibility. (Sun, 08 Aug 2010 15:21:07 GMT) Full text and rfc822 format available.

Notification sent to Ximin Luo <xl269@cam.ac.uk>:
Bug acknowledged by developer. (Sun, 08 Aug 2010 15:21:07 GMT) Full text and rfc822 format available.

Message #28 received at 556099-close@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 556099-close@bugs.debian.org
Subject: Bug#556099: fixed in gitit 0.7.3.6-1
Date: Sun, 08 Aug 2010 15:17:09 +0000
Source: gitit
Source-Version: 0.7.3.6-1

We believe that the bug you reported is fixed in the latest version of
gitit, which is due to be installed in the Debian FTP archive:

gitit_0.7.3.6-1.debian.tar.gz
  to main/g/gitit/gitit_0.7.3.6-1.debian.tar.gz
gitit_0.7.3.6-1.dsc
  to main/g/gitit/gitit_0.7.3.6-1.dsc
gitit_0.7.3.6-1_amd64.deb
  to main/g/gitit/gitit_0.7.3.6-1_amd64.deb
gitit_0.7.3.6.orig.tar.gz
  to main/g/gitit/gitit_0.7.3.6.orig.tar.gz
libghc6-gitit-dev_0.7.3.6-1_amd64.deb
  to main/g/gitit/libghc6-gitit-dev_0.7.3.6-1_amd64.deb
libghc6-gitit-doc_0.7.3.6-1_all.deb
  to main/g/gitit/libghc6-gitit-doc_0.7.3.6-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 556099@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giovanni Mascellani <gio@debian.org> (supplier of updated gitit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 06 Aug 2010 19:31:54 +0200
Source: gitit
Binary: gitit libghc6-gitit-dev libghc6-gitit-doc
Architecture: source all amd64
Version: 0.7.3.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Giovanni Mascellani <gio@debian.org>
Description: 
 gitit      - Wiki engine backed by a git or darcs filestore
 libghc6-gitit-dev - Wiki engine backed by a git or darcs filestore - GHC 6 libraries
 libghc6-gitit-doc - Wiki engine backed by a git or darcs filestore - documentation
Closes: 556099
Changes: 
 gitit (0.7.3.6-1) unstable; urgency=low
 .
   * Initial release. (closes: #556099)
Checksums-Sha1: 
 a8f9a8abb906403cf3aee365d3432515be54d21a 2521 gitit_0.7.3.6-1.dsc
 450f18dcc63ec08eadea3f1ec7b96b6ee7bf8fb2 175439 gitit_0.7.3.6.orig.tar.gz
 ca45260524a1c03e4052136faade3f5ef3bb9737 4719 gitit_0.7.3.6-1.debian.tar.gz
 aedb6fc8e1822d7cfd8c5ef52a25305d770d9da0 130058 libghc6-gitit-doc_0.7.3.6-1_all.deb
 ceb5eef2391324d2f1252c05fc25721ee4cc09bd 4920590 gitit_0.7.3.6-1_amd64.deb
 6ea1a9448fe93127736fbe2d5a7f40767e24e43c 979622 libghc6-gitit-dev_0.7.3.6-1_amd64.deb
Checksums-Sha256: 
 01ad65751eb50b9a38c603dcc1743c0809feeeb301411d58c4a0619d799c3cb9 2521 gitit_0.7.3.6-1.dsc
 11f86b7e920250ea45a11a5de06f9559d2330d7e2cc7d1197dba720c696d0817 175439 gitit_0.7.3.6.orig.tar.gz
 78326f35bbe8bc7830278a385fcf1ddf33f3e085f50b3cc0c0f9cd00fe0d09e3 4719 gitit_0.7.3.6-1.debian.tar.gz
 4538b2150a3189347c8b94cd66e91b8ace5ff88cb7298a4b72f051fc6945d370 130058 libghc6-gitit-doc_0.7.3.6-1_all.deb
 db897ad8b94ea939cd255496a8a84515447023c64519411d368d84a2877e7fb7 4920590 gitit_0.7.3.6-1_amd64.deb
 417d6832bd69cdc2560a0239af99fae0a686fa1534e6fc84bfa01f9d7ab88981 979622 libghc6-gitit-dev_0.7.3.6-1_amd64.deb
Files: 
 6410faa9970ff6499dc52a71f2c52af7 2521 haskell extra gitit_0.7.3.6-1.dsc
 4aaca7f52b045c5ac451b8b7fc126832 175439 haskell extra gitit_0.7.3.6.orig.tar.gz
 da77af52598fa416f0b6d385f4ec3354 4719 haskell extra gitit_0.7.3.6-1.debian.tar.gz
 75dc861081f2c391ba9e492af3c58614 130058 doc extra libghc6-gitit-doc_0.7.3.6-1_all.deb
 d3a41f9a32dfee316e80eff6c6369723 4920590 haskell extra gitit_0.7.3.6-1_amd64.deb
 25dc9284b5af8bdfacf6f74d5405200c 979622 haskell extra libghc6-gitit-dev_0.7.3.6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iJwEAQEIAAYFAkxcSckACgkQgQqfaeGImwBjGQQAmedlEIF1RARsn7bnBHPNo5nR
DaIxtAqGvCpyjCbwcK7gFYIKrFQl794L/xriCpmztbJ1pHye0fxtUvFsFC6zT15K
5lm9wW/CF2QCP0O4lT65w7jCBoa9ery2zd+DIv1FYhcBE1asqpARwK2f4XPHnYer
+w3qXjfQgjQoRnRGExk=
=g4Ac
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Sep 2010 07:43:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:38:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.